Adobe Reader 11.0.10 german

Informations

Creator Message
kmu-net.ch

Warning

This installer has not been approved yet by the team.

Informations

Platforms:
Downloads: 0
Wine: System

Feedbacks

Description

PlayOnLinux Install Script for Adobe Reader 11.0.10 german (ɔ) kmu-net.ch 2015 GPLv3

Based on the english version from trueman:

http://playonlinux://www.playonlinux.com/repository/download_update.php?id=2290

Beside the german source and the german dialogs some constants were replaced by variables as the wine version is now forced according to

https://appdb.winehq.org/objectManager.php?sClass=version&iId=27093&iTestingId=88622

Tested against http://www.shellcheck.net/ and https://github.com/PlayOnLinux/PlayOnLinux_Tools, installed in a virtual machine with ubuntu 14.04.3 - 32 Bit.

--------------------- PREINSTALL REQUIREMENTS ----------------------------------

Package 'winetricks' (The pol scripts proves it's existence and complains accordingly, if it is not installed).

--------------------- KNOWN ERRORS ------------------------------------

Adobe Reader crashes after closing the main window.

--------------------- ICONS AND SCREENSHOTS ------------------------------

I've prepared them as described under 'How to Contribute a Script', but I don't understand in which way I have to upload / include them.

Source code

                

Contributions

Filters:

Contribute
Member Message
kmu-net.ch Friday 21 August 2015 at 10:10
kmu-net.ch

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Install Script for Adobe Reader 11.0.10 german

Differences

@@ -0,0 +1,71 @@
+#!/bin/bash
+
+# AdobeReader_11010_german.pol
+
+# ------------------------------------- Description in English -------------------------------------
+
+# PlayOnLinux Install Script for Adobe Reader 11.0.10 german (?) kmu-net.ch 2015 GPLv3
+# Based on the english version from trueman: playonlinux://www.playonlinux.com/repository/download_update.php?id=2290
+# Beside the german source and the german dialogs some constants were replaced by variables as the wine version is now forced
+# according to https://appdb.winehq.org/objectManager.php?sClass=version&iId=27093&iTestingId=88622
+
+# Tested against http://www.shellcheck.net/ and https://github.com/PlayOnLinux/PlayOnLinux_Tools, Installed in a virtual machine
+#   with ubuntu 14.04.3 - 32 Bit.
+
+# ------------------------------------- Deutscher Beschrieb -------------------------------------
+
+# PlayOnLinux-Installations-Skript fuer den Adobe Reader 11.0.10 in Deutsch (?) kmu-net.ch 2015 unter GPLv3
+# Basierend auf der englischen Version von trueman: playonlinux://www.playonlinux.com/repository/download_update.php?id=2290
+# Nebst der deutschen Quelle sowie der eingedeutschten Dialoge wurden einige Konstanten durch Variablen ersetzt.
+# Wine-Version festgelegt gemaess https://appdb.winehq.org/objectManager.php?sClass=version&iId=27093&iTestingId=88622
+
+# Geprüft mittels http://www.shellcheck.net/ sowie https://github.com/PlayOnLinux/PlayOnLinux_Tools, installiert in einer vir-
+#   tuellen Maschine unter 14.04.3 - 32 Bit.
+
+# --------------------------------------------------------------------------------------------------
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+WINETRICKS=$(which winetricks)
+[ "$WINETRICKS" = "" ] && POL_Debug_Fatal "'winetricks' nicht gefunden, bitte installieren mittels:\n  sudo apt-get install winetricks" && exit 1
+
+TITLE="Adobe Reader 11.0.10 deutsch"
+PREFIX="AdobeReader11010"
+MD5="c655171d8a8effd0a07f86e6f87dcc07"
+ADOBE_LINK="http://ardownload.adobe.com/pub/adobe/reader/win/11.x/11.0.10/de_DE/AdbeRdr11010_de_DE.exe"
+
+POL_Debug_Init
+
+POL_SetupWindow_Init
+
+POL_SetupWindow_presentation "$TITLE" "Adobe Systems Incorporated" "http://get.adobe.com/reader/" "kmu-net.ch" "$PREFIX"
+
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "1.7.38"
+WINEPREFIX=$WINEPREFIX winetricks mspatcha
+
+POL_System_TmpCreate "$PREFIX"
+
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+
+if [ "$INSTALL_METHOD" = "LOCAL" ]
+then
+    POL_SetupWindow_browse "Bitte wählen Sie eine Installationsdatei aus:" "$TITLE"
+    POL_Wine_WaitBefore "$TITLE"
+    POL_Wine "$APP_ANSWER"
+    POL_Wine_WaitExit "$TITLE"
+elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
+then
+    cd "$POL_System_TmpDir" || exit 2
+    POL_Download "$ADOBE_LINK"
+    POL_Wine_WaitBefore "$TITLE"
+    POL_Wine "$POL_System_TmpDir/AdbeRdr11010_de_DE.exe"
+    POL_Wine_WaitExit "$TITLE"
+fi
+
+POL_System_TmpDelete
+POL_Shortcut "AcroRd32.exe" "AdobeReader11010"
+
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash

# AdobeReader_11010_german.pol

# ------------------------------------- Description in English -------------------------------------

# PlayOnLinux Install Script for Adobe Reader 11.0.10 german (?) kmu-net.ch 2015 GPLv3
# Based on the english version from trueman: playonlinux://www.playonlinux.com/repository/download_update.php?id=2290
# Beside the german source and the german dialogs some constants were replaced by variables as the wine version is now forced
# according to https://appdb.winehq.org/objectManager.php?sClass=version&iId=27093&iTestingId=88622

# Tested against http://www.shellcheck.net/ and https://github.com/PlayOnLinux/PlayOnLinux_Tools, Installed in a virtual machine
#   with ubuntu 14.04.3 - 32 Bit.

# ------------------------------------- Deutscher Beschrieb -------------------------------------

# PlayOnLinux-Installations-Skript fuer den Adobe Reader 11.0.10 in Deutsch (?) kmu-net.ch 2015 unter GPLv3
# Basierend auf der englischen Version von trueman: playonlinux://www.playonlinux.com/repository/download_update.php?id=2290
# Nebst der deutschen Quelle sowie der eingedeutschten Dialoge wurden einige Konstanten durch Variablen ersetzt.
# Wine-Version festgelegt gemaess https://appdb.winehq.org/objectManager.php?sClass=version&iId=27093&iTestingId=88622

# Geprüft mittels http://www.shellcheck.net/ sowie https://github.com/PlayOnLinux/PlayOnLinux_Tools, installiert in einer vir-
#   tuellen Maschine unter 14.04.3 - 32 Bit.

# --------------------------------------------------------------------------------------------------

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

WINETRICKS=$(which winetricks)
[ "$WINETRICKS" = "" ] && POL_Debug_Fatal "'winetricks' nicht gefunden, bitte installieren mittels:\n  sudo apt-get install winetricks" && exit 1

TITLE="Adobe Reader 11.0.10 deutsch"
PREFIX="AdobeReader11010"
MD5="c655171d8a8effd0a07f86e6f87dcc07"
ADOBE_LINK="http://ardownload.adobe.com/pub/adobe/reader/win/11.x/11.0.10/de_DE/AdbeRdr11010_de_DE.exe"

POL_Debug_Init

POL_SetupWindow_Init

POL_SetupWindow_presentation "$TITLE" "Adobe Systems Incorporated" "http://get.adobe.com/reader/" "kmu-net.ch" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "1.7.38"
WINEPREFIX=$WINEPREFIX winetricks mspatcha

POL_System_TmpCreate "$PREFIX"

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"

if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    POL_SetupWindow_browse "Bitte wählen Sie eine Installationsdatei aus:" "$TITLE"
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine "$APP_ANSWER"
    POL_Wine_WaitExit "$TITLE"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    cd "$POL_System_TmpDir" || exit 2
    POL_Download "$ADOBE_LINK"
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine "$POL_System_TmpDir/AdbeRdr11010_de_DE.exe"
    POL_Wine_WaitExit "$TITLE"
fi

POL_System_TmpDelete
POL_Shortcut "AcroRd32.exe" "AdobeReader11010"

POL_SetupWindow_Close
exit 0

Replies

Sunday 23 August 2015 at 10:56
I created a POL_Install_mspatcha function so you can drop the winetricks dependency;
Also, you can use POL_Shortcut_QuietDebug (http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_11:_List_of_Functions#POL_Shortcut_QuietDebug_.284.0.17.2B.29) to silence the error message when exiting Adobe Reader, it's just that they don't correctly set the exitcode to 0, which is a good practice but is of almost no consequence under Windows.
For graphic resources put them in some place where an administrator can grab them and upload them in the right place (there's currently no interface to upload them thru the web site).
But more generally I find it problematic to have one script per language, soon we'll have 10 times more scripts... Couldn't scripts be merged, using POL localization support + have the user choose what version to install?
Sunday 23 August 2015 at 10:58
Also note that $TITLE must match the script name exactly (here "Adobe Reader 11.0.10 german"), for automated bug reporting to work correctly
Sunday 23 August 2015 at 12:04
Hi petch. Thanks a lot for your advices. Originally, I prepared the script for the German ubuntu forum ubuntuusers.de as a 'one click solution'. I'll placing your suggestions as soon I'm able to.